﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;

using Microsoft.Surface;
using Microsoft.Surface.Presentation;
using Microsoft.Surface.Presentation.Controls;
using Microsoft.Surface.Presentation.Input;


namespace GISforTT_API
{
    public class BookmarkListItem : SurfaceListBoxItem
    {
        private Bookmark relatedTicket;
        private bool opened;

        public Bookmark Bookmark
        {
            get
            {
                return relatedTicket;
            }
        }

        public bool IsOpen
        {
            get
            {
                return opened;
            }
            set
            {
                opened = value;
            }
        }

        /// <summary>
        /// Constructor of BookmarkListItem
        /// </summary>
        /// <param name="bm">Related Bookmark Object</param>
        public BookmarkListItem(Bookmark bm)
        {
            relatedTicket = bm;
            this.Content = bm.Description;
        }





    }
}
