﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using ESRI.ArcGIS.Client;

namespace GISforTT_API
{
    // MapLayersManager creates clones of layers for display on various maps. Custom layers may need special behaviour when creating copy layers, if so they should implement ClonableLayer. 
    // MapLayersManager will first check if a layer implements ClonableLayer before using its own clone layer methods.
    public interface ClonableLayer
    {
        Layer CloneLayer();
    }
}
