using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Diagnostics;
using System.Linq;
using System.Windows;
using Microsoft.Win32;


namespace eGrid_App
{
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App : Application
    {
        /// <summary>
        /// Load the application window
        /// </summary>
        public App()
        {
            this.StartupUri = new Uri(@"eGridWindow.xaml", UriKind.Relative);
        }

        /// <summary>
        /// Application Entry Point.
        /// </summary>
        [System.STAThreadAttribute()]
        [System.Diagnostics.DebuggerNonUserCodeAttribute()]
        public static void Main()
        {
            eGrid_App.App app = new eGrid_App.App();
            app.InitializeComponent();
            app.Run();
        }

    }

}
