﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

using GISforTT_API;

namespace eGrid_App
{
    /// <summary>
    /// Interaction logic for eGridWindow.xaml
    /// </summary>
    public partial class eGridWindow : Window
    {
        public eGridWindow()
        {
            InitializeComponent();
            this.Loaded += new RoutedEventHandler(MainWindow_Loaded);
        }

        void MainWindow_Loaded(object sender, RoutedEventArgs e)
        {
            var app = new My_Application(this);

            this.Width = System.Windows.SystemParameters.VirtualScreenWidth;
            this.Height = System.Windows.SystemParameters.VirtualScreenHeight;
            this.Left = 0;
            this.Top = 0;
            this.ResizeMode = ResizeMode.NoResize;

            LayoutRoot.Children.Add(app);
        }
    }
}
