﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;

using ESRI.ArcGIS.Client;
using ESRI.ArcGIS.Client.Geometry;
using ESRI.ArcGIS.Client.Symbols;
using ESRI.ArcGIS.Client.Tasks;
using ESRI.ArcGIS.Client.Toolkit;

namespace GISforTT_API
{
    public class CustomPin
    {
        private MapPoint map_pt;
        private string imgPath = "Resources/car.png";

        #region Properties
        public MapPoint Location
        {
            get
            {
                return map_pt;
            }
        }

        public string ImgPath
        {
            get
            {
                return imgPath;
            }
            set
            {
                imgPath = value;
                // TODO-VAR: update the visuals
            }
        }
        #endregion

        /// <summary>
        /// Constructor of Custom Pin
        /// </summary>
        /// <param name="X">x location on the screen</param>
        /// <param name="Y">y location on the screen</param>
        public CustomPin(double X, double Y)
        {
            map_pt = new MapPoint(X, Y);
        }
                        
    }
}
