﻿using GISforTT_API;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using ESRI.ArcGIS.Client.Geometry;

namespace GISforTT_Test
{
    /// <summary>
    ///This is a test class for CustomPinTest and is intended
    ///to contain all CustomPin Unit Tests
    ///</summary>
    [TestClass()]
    public class CustomPinTest
    {


        private TestContext testContextInstance;

        /// <summary>
        ///Gets or sets the test context which provides
        ///information about and functionality for the current test run.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        /// <summary>
        ///A test for VehiclePin Constructor
        ///</summary>
        [TestMethod()]
        public void CustomPinConstructorTest()
        {
            CustomPin target = new CustomPin(123.0, 456.0);
            Assert.AreEqual(123.0, target.Location.X);
            Assert.AreEqual(456.0, target.Location.Y);
        }

    }
}
